%define major 0
%define libname %mklibname xcb-xrm %{major}
%define develname %mklibname xcb-xrm -d

Name:		xcb-util-xrm
Version:	1.0
Release:	%mkrel 2
Summary:	XCB utility functions for the X resource manager
Group:		System/Libraries

License:	MIT
URL:		https://github.com/Airblader/xcb-util-xrm
Source0:	%{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xcb-aux)
BuildRequires:	pkgconfig(x11)

%description
%{summary}.

%package	-n %{libname}
Summary:	XCB utility functions for the X resource manager
Group:		System/Libraries

%description -n %{libname}
%{summary}.

%package	-n %{develname}
Summary:	Development files for %{name}
Requires:	%{libname} = %{version}-%{release}
Group:		System/Libraries

%description -n %{develname}
%{summary}.

%prep
%autosetup

%build
autoreconf -vfi
%configure --disable-silent-rules --disable-static --disable-dependency-tracking
%make_build

%install
%make_install
rm -vf %{buildroot}%{_libdir}/libxcb-xrm.la

%check
%make check

%files -n %{libname}
%license COPYING
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/xcb/%(n=xcb-xrm; echo ${n//-/_}).h
%{_libdir}/*.so
%{_libdir}/pkgconfig/xcb-xrm.pc



%changelog
* Thu Nov 10 2016 sander85 <sander85> 1.0-2.mga6
+ Revision: 1066290
- Devel package requires library package

* Wed Nov 09 2016 sander85 <sander85> 1.0-1.mga6
+ Revision: 1066138
- imported package xcb-util-xrm


* Fri Aug 12 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.0-1
- Initial package
